Loading...
Searching...
No Matches
libcamera::V4L2Subdevice::Stream Class Reference

V4L2 subdevice stream. More...

## Public Member Functions

| Stream ()
| Construct a Stream with pad and stream set to 0.
| Stream (unsigned int p, unsigned int s)
| Construct a Stream with a given pad and stream number.

## Public Attributes

unsigned int | pad
| The 0-indexed pad number.
unsigned int | stream
| The stream number.

## Detailed Description

V4L2 subdevice stream.

This class identifies a subdev stream, by bundling the pad number with the stream number. It is used in all stream-aware functions of the V4L2Subdevice class to identify the stream the functions operate on.

## Constructor & Destructor Documentation

## Stream()

libcamera::V4L2Subdevice::Stream::Stream | ( | unsigned int | pad,
|  | unsigned int | stream )

inline

Construct a Stream with a given pad and stream number.

Parameters

  [in] | pad | The indexed pad number
  [in] | stream | The stream number

The documentation for this class was generated from the following files:

- include/libcamera/internal/v4l2_subdevice.h
- src/libcamera/v4l2_subdevice.cpp